<?php

if ( ! defined( 'ABSPATH' ) ) {
	exit;
}

// カスタム投稿タイプの追加
if ( ! function_exists( 'lab23_register_post_type_parts' ) ) {
	function lab23_register_post_type_parts() {
		register_post_type( "parts", // 投稿タイプ名の定義
			array(
				'labels'	=> array(
					'name'			=> __( 'マイパーツ', 'lab23' ), // 表示する投稿タイプ名
					'singular_name' => __( 'マイパーツ', 'lab23' )
				),
				'public'				=> true,
				'show_ui'				=> true,
				'show_in_rest'			=> true,
				'rewrite'				=> false,
				'menu_position' 		=> 8,
				'menu_icon'				=> 'dashicons-format-aside',
				'exclude_from_search'	=> true,
				'supports'				=> array(
					'title',
					'editor',
					'post-formats'
				),
			)
		);
	}
	add_action( 'init', 'lab23_register_post_type_parts' );
}
